MyGUI::WidgetInfo Struct Reference

`#include <MyGUI_LayoutData.h>`

## Public Types

enum | PositionType { Pixels , Relative , None }

## Public Member Functions

| WidgetInfo ()

## Data Fields

std::vector< WidgetInfo > | childWidgetsInfo
VectorStringPairs | properties
MapString | userStrings
std::vector< ControllerInfo > | controllers
std::string | type
std::string | skin
Align | align
WidgetStyle | style
std::string | name
std::string | layer
PositionType | positionType {None}
IntCoord | intCoord
FloatCoord | floatCoord

## Detailed Description

Definition at line 22 of file MyGUI_LayoutData.h.

## Member Enumeration Documentation

## PositionType

enum MyGUI::WidgetInfo::PositionType

Enumerator
Pixels |
Relative |
None |

Definition at line 44 of file MyGUI_LayoutData.h.

## Constructor & Destructor Documentation

## WidgetInfo()

MyGUI::WidgetInfo::WidgetInfo | ( |  | ) |

inline

Definition at line 25 of file MyGUI_LayoutData.h.

## Field Documentation

## align

Align MyGUI::WidgetInfo::align

Definition at line 39 of file MyGUI_LayoutData.h.

## childWidgetsInfo

std::vector<WidgetInfo> MyGUI::WidgetInfo::childWidgetsInfo

Definition at line 32 of file MyGUI_LayoutData.h.

## controllers

std::vector<ControllerInfo> MyGUI::WidgetInfo::controllers

Definition at line 36 of file MyGUI_LayoutData.h.

## floatCoord

FloatCoord MyGUI::WidgetInfo::floatCoord

Definition at line 52 of file MyGUI_LayoutData.h.

## intCoord

IntCoord MyGUI::WidgetInfo::intCoord

Definition at line 51 of file MyGUI_LayoutData.h.

## layer

std::string MyGUI::WidgetInfo::layer

Definition at line 42 of file MyGUI_LayoutData.h.

## name

std::string MyGUI::WidgetInfo::name

Definition at line 41 of file MyGUI_LayoutData.h.

## positionType

PositionType MyGUI::WidgetInfo::positionType {None}

Definition at line 50 of file MyGUI_LayoutData.h.

## properties

VectorStringPairs MyGUI::WidgetInfo::properties

Definition at line 34 of file MyGUI_LayoutData.h.

## skin

std::string MyGUI::WidgetInfo::skin

Definition at line 38 of file MyGUI_LayoutData.h.

## style

WidgetStyle MyGUI::WidgetInfo::style

Definition at line 40 of file MyGUI_LayoutData.h.

## type

std::string MyGUI::WidgetInfo::type

Definition at line 37 of file MyGUI_LayoutData.h.

## userStrings

MapString MyGUI::WidgetInfo::userStrings

Definition at line 35 of file MyGUI_LayoutData.h.

The documentation for this struct was generated from the following file:

- MyGUI_LayoutData.h